package de.intevation.flys.artifacts.math.fitting;

public class Exp
extends      Function
{
    public Exp() {
        super(
            "exp",
            "W(Q) = m * a^Q + b",
            new String [] { "m", "a", "b" });
    }

    @Override
    public double value(double x, double [] parameters) {
        return parameters[0]*Math.pow(parameters[1], x) + parameters[2];
    }

    @Override
    public double [] gradient(double x, double [] parameters) {
        return new double [] {
            Math.pow(parameters[1], x),
            Math.pow(parameters[1], x-1d)*x,
            1d
        };
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
